diff options
author | Klement Sekera <ksekera@cisco.com> | 2017-08-16 16:38:10 +0200 |
---|---|---|
committer | Neale Ranns <nranns@cisco.com> | 2017-08-18 10:34:39 +0000 |
commit | 8712ada6c3a84b2f75a25457ec6d477f3683787c (patch) | |
tree | 27e194a51ebfae3512ef9a84a703c00688c45c2b /test/scripts/run_in_venv_with_cleanup.sh | |
parent | 30fb4a2f43cb1c47c8fbe986f88e7d8faad86f23 (diff) |
make test: fix broken passing of return value
Change-Id: I2cb83caaf55ca9a29c06d71c6d20f8273ec062b3
Signed-off-by: Klement Sekera <ksekera@cisco.com>
Diffstat (limited to 'test/scripts/run_in_venv_with_cleanup.sh')
-rwxr-xr-x | test/scripts/run_in_venv_with_cleanup.sh | 7 |
1 files changed, 4 insertions, 3 deletions
diff --git a/test/scripts/run_in_venv_with_cleanup.sh b/test/scripts/run_in_venv_with_cleanup.sh index 541f584ac45..35b6737ecad 100755 --- a/test/scripts/run_in_venv_with_cleanup.sh +++ b/test/scripts/run_in_venv_with_cleanup.sh @@ -14,7 +14,7 @@ atexit() { kill -9 $id fi done - exit $rv + exit ${rv} } trap "atexit;" SIGINT SIGTERM @@ -30,9 +30,10 @@ then $* else $* & - wait + pid=$! + wait ${pid} fi rv=$? atexit -exit $rv +exit ${rv} |